%define bdftopcf 1.0.4
%define fonttosfnt 1.0.4
%define mkfontdir 1.0.7
%define mkfontscale 1.1.2
%define font_util 1.3.1

# Must be kept in sync with xorg-x11-fonts!
%define _x11fontdir %{_datadir}/X11/fonts

Summary:    X.Org X11 font utilities
Name:       xorg-x11-font-utils
Epoch:      1
Version:    7.5
Release:    29%{?dist}
License:    MIT
URL:        http://www.x.org

Source0:    http://www.x.org/pub/individual/app/bdftopcf-%{bdftopcf}.tar.bz2
Source1:    http://www.x.org/pub/individual/app/fonttosfnt-%{fonttosfnt}.tar.bz2
Source2:    http://www.x.org/pub/individual/app/mkfontdir-%{mkfontdir}.tar.bz2
Source3:    http://www.x.org/pub/individual/app/mkfontscale-%{mkfontscale}.tar.bz2
Source4:    http://www.x.org/pub/individual/font/font-util-%{font_util}.tar.bz2
# helper script used in post for xorg-x11-fonts
Source5:    xorg-x11-fonts-update-dirs
Source6:    xorg-x11-fonts-update-dirs.1

Patch0:     mkfontscale-examine-all-encodings.patch

BuildRequires:  libtool
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfont)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  zlib-devel

Provides:   bdftopcf = %{bdftopcf}
Provides:   fonttosfnt = %{fonttosfnt}
Provides:   mkfontdir = %{mkfontdir}
Provides:   mkfontscale = %{mkfontscale}
Provides:   font-util = %{font_util}

Provides:   bdftruncate = %{epoch}:%{version}-%{release}
Obsoletes:  bdftruncate < %{epoch}:%{version}-%{release}
Provides:   font-utils = %{epoch}:%{version}-%{release}
Provides:   ucs2any = %{font_util}

%description
X.Org X11 font utilities required for font installation, conversion, and
generation.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4
pushd mkfontscale-*
%patch0 -p1 -b .all-encodings
popd

%build
# Build all apps
{
for app in * ; do
    pushd $app
        autoreconf -vif
        case $app in
            font-util-*)
                %configure --with-fontrootdir=%{_x11fontdir}
                ;;
            *)
                %configure
                ;;
        esac
        make %{?_smp_mflags}
    popd
done
}

%install
# Install all apps
{
    for app in * ; do
        pushd $app
            %make_install
        popd
    done
    for i in */README ; do
        [ -s $i ] && cp $i README-$(echo $i | sed 's/-[0-9].*//')
    done
    for i in */COPYING ; do
        grep -q stub $i || cp $i COPYING-$(echo $i | sed 's/-[0-9].*//')
    done
}

install -m 744 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/xorg-x11-fonts-update-dirs
sed -i "s:@DATADIR@:%{_datadir}:" $RPM_BUILD_ROOT%{_bindir}/xorg-x11-fonts-update-dirs

install -m 744 -p -D %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man1/xorg-x11-fonts-update-dirs.1

%files
%doc README-* COPYING-bdftopcf COPYING-[c-z]*
%{_bindir}/bdftopcf
%{_bindir}/bdftruncate
%{_bindir}/fonttosfnt
%{_bindir}/mkfontdir
%{_bindir}/mkfontscale
%{_bindir}/ucs2any
%{_bindir}/xorg-x11-fonts-update-dirs
%{_datadir}/aclocal/fontutil.m4
%{_libdir}/pkgconfig/fontutil.pc
%{_mandir}/man1/bdftopcf.1*
%{_mandir}/man1/bdftruncate.1*
%{_mandir}/man1/fonttosfnt.1*
%{_mandir}/man1/mkfontdir.1*
%{_mandir}/man1/mkfontscale.1*
%{_mandir}/man1/ucs2any.1*
%{_mandir}/man1/xorg-x11-fonts-update-dirs.1*
%dir %{_x11fontdir}
%dir %{_x11fontdir}/util
%{_x11fontdir}/util/map-*

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 01 2015 Simone Caronni <negativo17@gmail.com> - 1:7.5-28
- font-util 1.3.1

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 1:7.5-27
- Rebuilt for Fedora 23 Change
  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code

* Sat Jan 17 2015 Simone Caronni <negativo17@gmail.com> - 1:7.5-26
- Update mkfontscale to 1.1.2.

* Mon Nov 10 2014 Simone Caronni <negativo17@gmail.com> - 1:7.5-25
- Restore font-utils provider, required by some packages for building.

* Mon Nov 10 2014 Simone Caronni <negativo17@gmail.com> - 1:7.5-24
- Clean up SPEC file, fix rpmlint warnings.

* Fri Oct 31 2014 Hans de Goede <hdegoede@redhat.com> - 1:7.5-23
- Drop /usr/share/fonts/X11 symlink, it causes fc-cache to scan all X11
  fonts, which leads to the wrong fonts being used (rhbz#1158468)
- Pass --with-fontrootdir to ./configure so that fontutil.pc gets it right
- Upgrade fonttosfnt to 1.0.4
- Upgrade mkfontscale to 1.1.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 25 2014 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-21
- Add a man page for xorg-x11-fonts-update-dirs

* Sat Jul 19 2014 Hans de Goede <hdegoede@redhat.com> - 1:7.5-20
- Add a /usr/share/fonts/X11 symlink to usr/share/X11/fonts (rhbz#1046341)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 04 2013 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-17
- Ok, this time fix the right changelog date. Well, the wrong one, I mean.
 
* Thu Jul 04 2013 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-16
- Fix a changelog date, some checking tools keep reminding me.

* Thu May 30 2013 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-15
- Fix call to ttmkfdir (#967619)

* Wed May 22 2013 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-14
- mkfontscale 1.1.0
- mkfontdir 1.0.7
- bdftopcf 1.0.4
- Document mkfontscale's -u/-U in the man page (#948841)

* Mon Apr 08 2013 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-13
- Fix opendir error message during font install, missing encodingsdir/large
  was missing (#928305)

* Thu Mar 07 2013 Dave Airlie <airlied@redhat.com> 7.5-12
- autoreconf for aarch64

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-10
- Add the epoch to the Provides bdftruncate. bdftruncate had an epoch for
  years, make sure that stays alive

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 01 2012 Adam Jackson <ajax@redhat.com> 7.5-8
- font-util 1.3.0
- Un-subpackage bdftruncate, it's not a perl script anymore.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Matěj Cepl <mcepl@redhat.com> - 1:7.5-5
- pushd/popd are slightly evil, removing (#664701, #664699)

* Wed Nov 24 2010 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-4
- Fix need_ttmkfdir test in xorg-x11-fonts-update-dirs script (#655925)

* Fri Nov 19 2010 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-3
- Add xorg-x11-fonts-update-dirs, a script to automake mkfontscale and
  friends as well as generate encodings directories during %%post (used by
  xorg-x11-fonts). (#634039)

* Mon Nov 08 2010 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-2
- mkfontdir 1.0.6

* Mon Nov 01 2010 Peter Hutterer <peter.hutterer@redhat.com> 1:7.5-1
- font-util 1.2.0
- mkfontscale 1.0.8
- bdftopcf 1.0.3

* Tue Oct 05 2010 Peter Hutterer <peter.hutterer@redhat.com> 1:7.4-3
- font-util 1.1.2

* Fri Jul 09 2010 Peter Hutterer <peter.hutterer@redhat.com> 1:7.4-2
- Fix build for missing bdftruncate COPYING file.

* Thu Jul 08 2010 Adam Jackson <ajax@redhat.com> 7.4-1
- Install COPYING for bdftruncate too.

* Fri Apr 09 2010 Matěj Cepl <mcepl@redhat.com> - 1:7.2-12
- examine all platform=3 encodings (fixes #578460)
